=== debian/changelog ===
sord (0.10.4~dfsg0-1) experimental; urgency=low

  * New upstream release.
  * Install sord_validate and its manpage.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Mon, 05 Nov 2012 10:20:51 +0000

sord (0.10.0~dfsg0-1) experimental; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump build-dep on libserd >= 0.18.0~dfsg0.
  * Implement a mechanism to repack the upstream tarball.
  * Install NEWS as upstream changelog.
  * Refresh symbols.

 -- Alessio Treglia <alessio@debian.org>  Sun, 02 Sep 2012 17:49:46 +0200
