## sord 0.12.0~dfsg0

=== wscript ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-SORD_VERSION       = '0.10.4'
+SORD_VERSION       = '0.12.0'
 SORD_MAJOR_VERSION = '0'
 
 # Mandatory waf variables
