=== debian/changelog ===
sord (0.12.0~dfsg0-3) unstable; urgency=low

  * Upload to unstable.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 07 May 2013 10:52:57 +0100

sord (0.12.0~dfsg0-2) experimental; urgency=low

  * Tighten libsord-dev's dependency on libserd-dev >= 0.18.0~.

 -- Alessio Treglia <alessio@debian.org>  Tue, 12 Mar 2013 16:51:17 +0000

sord (0.12.0~dfsg0-1) experimental; urgency=low

  * New upstream release.
  * Fix libsord-doc.install.
  * Refresh symbols file.

 -- Alessio Treglia <alessio@debian.org>  Mon, 11 Mar 2013 02:33:32 +0000
