=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libserd-dev (>= 0.18.0~dfsg0),
  pkg-config,
  python
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://drobilla.net/software/sord/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/sord.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/sord.git
@@ -38,7 +38,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libserd-dev,
+ libserd-dev (>= 0.18.0~dfsg0),
  libsord-0-0 (= ${binary:Version}),
  ${misc:Depends}
 Suggests:
