## sord 0.12.2~dfsg0

=== debian/changelog ===
sord (0.12.2~dfsg0-1) unstable; urgency=medium

  * New upstream release.
  * Added myself as uploader
  * Tuned get-orig-source.
  * Remove --debug from configure to cppflags be passed.
  * Bump Standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 14 Aug 2014 09:03:47 +0200
