=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>
+ Alessio Treglia <alessio@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  debhelper (>= 9),
  doxygen,
@@ -11,7 +12,7 @@
  libserd-dev (>= 0.18.0~dfsg0),
  pkg-config,
  python
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://drobilla.net/software/sord/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/sord.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/sord.git
