=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,6 @@
 		--mandir=/usr/share/man \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		--strict \
-		--debug \
 		--docs
 
 override_dh_auto_build:
@@ -51,3 +50,5 @@
 	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)-$(dfsg_version)
 	xz -9fz $(pkg)_$(dfsg_version).orig.tar
 	rm -rf $(pkg)-$(dfsg_version)
+	mv $(pkg)_$(dfsg_version).orig.tar.xz ../$(pkg)_$(dfsg_version).orig.tar.xz
+	mv $(pkg)_$(upstream_version).orig.tar.bz2 ../$(pkg)_$(upstream_version).orig.tar.bz2
