## sord 0.14.0~dfsg0

=== wscript ===
--- 
+++ 
@@ -2,6 +2,7 @@
 import glob
 import os
 import subprocess
+import sys
 import waflib.Logs as Logs
 import waflib.Options as Options
 import waflib.extras.autowaf as autowaf
@@ -10,7 +11,7 @@
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-SORD_VERSION       = '0.12.0'
+SORD_VERSION       = '0.14.0'
 SORD_MAJOR_VERSION = '0'
 
 # Mandatory waf variables
@@ -27,6 +28,8 @@
                    help='Do not build command line utilities')
     opt.add_option('--test', action='store_true', dest='build_tests',
                    help='Build unit tests')
+    opt.add_option('--no-coverage', action='store_true', dest='no_coverage',
+                   help='Do not use gcov for code coverage')
     opt.add_option('--static', action='store_true', dest='static',
                    help='Build static library')
     opt.add_option('--no-shared', action='store_true', dest='no_shared',
@@ -44,7 +47,7 @@
         except:
             Logs.warn("No C++ compiler, sordmm.hpp compile test skipped")
             pass
-        
+
     autowaf.configure(conf)
     autowaf.set_c99_mode(conf)
     autowaf.display_header('Sord configuration')
@@ -56,14 +59,23 @@
     conf.env.BUILD_STATIC = (Options.options.static or
                              Options.options.static_progs)
 
-    if conf.env.BUILD_TESTS:
-        conf.check(lib         = 'gcov',
-                   define_name = 'HAVE_GCOV',
-                   mandatory   = False)
+    if conf.env.BUILD_TESTS and not Options.options.no_coverage:
+        conf.check_cc(lib='gcov', define_name='HAVE_GCOV', mandatory=False)
 
     autowaf.check_pkg(conf, 'serd-0', uselib_store='SERD',
                       atleast_version='0.18.0', mandatory=True)
     autowaf.check_pkg(conf, 'libpcre', uselib_store='PCRE', mandatory=False)
+
+    if conf.env.HAVE_PCRE:
+        if conf.check(cflags=['-pthread'], mandatory=False):
+            conf.env.PTHREAD_CFLAGS    = ['-pthread']
+            conf.env.PTHREAD_LINKFLAGS = ['-pthread']
+        elif conf.check(linkflags=['-lpthread'], mandatory=False):
+            conf.env.PTHREAD_CFLAGS    = []
+            conf.env.PTHREAD_LINKFLAGS = ['-lpthread']
+        else:
+            conf.env.PTHREAD_CFLAGS    = []
+            conf.env.PTHREAD_LINKFLAGS = []
 
     # Parse dump options and define things accordingly
     dump = Options.options.dump.split(',')
@@ -118,7 +130,7 @@
                   defines         = defines + ['SORD_SHARED', 'SORD_INTERNAL'],
                   cflags          = libflags)
         autowaf.use_lib(bld, obj, 'SERD')
-    
+
     # Static Library
     if bld.env.BUILD_STATIC:
         obj = bld(features        = 'c cstlib',
@@ -190,12 +202,15 @@
 
     # Utilities
     if bld.env.BUILD_UTILS:
-        for i in ['sordi', 'sord_validate']:
+        utils = ['sordi']
+        if bld.env.HAVE_PCRE:
+            utils += ['sord_validate']
+        for i in utils:
             obj = bld(features     = 'c cprogram',
                       source       = 'src/%s.c' % i,
                       includes     = ['.', './src'],
                       use          = 'libsord',
-                      lib          = libs, 
+                      lib          = libs,
                       target       = i,
                       install_path = '${BINDIR}',
                       defines      = defines)
@@ -204,7 +219,11 @@
             if bld.env.STATIC_PROGS:
                 obj.env.SHLIB_MARKER = obj.env.STLIB_MARKER
                 obj.linkflags        = ['-static', '-Wl,--start-group']
-            autowaf.use_lib(bld, obj, 'SERD PCRE')
+            autowaf.use_lib(bld, obj, 'SERD')
+            if i == 'sord_validate':
+                autowaf.use_lib(bld, obj, 'PCRE')
+                obj.cflags    = bld.env.PTHREAD_CFLAGS
+                obj.linkflags = bld.env.PTHREAD_LINKFLAGS
 
     # Documentation
     autowaf.build_dox(bld, 'SORD', SORD_VERSION, top, out)
@@ -225,6 +244,9 @@
 
 def upload_docs(ctx):
     os.system('rsync -ravz --delete -e ssh build/doc/html/ drobilla@drobilla.net:~/drobilla.net/docs/sord/')
+    for page in glob.glob('doc/*.[1-8]'):
+        os.system('soelim %s | pre-grohtml troff -man -wall -Thtml | post-grohtml > build/%s.html' % (page, page))
+        os.system('rsync -avz --delete -e ssh build/%s.html drobilla@drobilla.net:~/drobilla.net/man/' % page)
 
 def test(ctx):
     blddir = autowaf.build_dir(APPNAME, 'tests')
@@ -252,12 +274,20 @@
 
     nul = os.devnull
 
+    snippet = '<s> <p> <o> .'
+    if sys.platform == "win32":
+        snippet = snippet.replace('<', '^<').replace('>', '^>')
+    else:
+        snippet = '"%s"' % snippet
+
     autowaf.run_tests(ctx, APPNAME, [
-            'sordi_static file://%s/tests/manifest.ttl > %s' % (srcdir, nul),
-            'sordi_static %s/tests/UTF-8.ttl > %s' % (srcdir, nul),
+            'sordi_static "file://%s/tests/manifest.ttl" > %s' % (srcdir, nul),
+            'sordi_static "%s/tests/UTF-8.ttl" > %s' % (srcdir, nul),
             'sordi_static -v > %s' % nul,
             'sordi_static -h > %s' % nul,
             'sordi_static -s "<foo> a <#Thingie> ." file:///test > %s' % nul,
+            'echo %s | sordi_static - http://example.org/' % snippet,
+            'echo %s | sordi_static -o turtle - http://example.org/' % snippet,
             'sordi_static %s > %s' % (nul, nul)],
                       0, name='sordi-cmd-good')
 
@@ -272,31 +302,4 @@
             'sordi_static -i illegal > %s' % nul,
             'sordi_static -o illegal > %s' % nul,
             'sordi_static -i turtle > %s' % nul,
-            'sordi_static /no/such/file > %s' % nul],
-                      1, name='sordi-cmd-bad')
-
-    autowaf.run_tests(ctx, APPNAME, ['sord_test'])
-
-    commands = []
-    for test in good_tests:
-        base_uri = 'http://www.w3.org/2001/sw/DataAccess/df1/' + test.replace('\\', '/')
-        commands += [ 'sordi_static "%s" "%s" > %s.out' % (
-                os.path.join(srcdir, test), base_uri, test) ]
-
-    autowaf.run_tests(ctx, APPNAME, commands, 0, name='good')
-
-    Logs.pprint('BOLD', '\nVerifying turtle => ntriples')
-    for test in good_tests:
-        out_filename = test + '.out'
-        cmp_filename = srcdir + '/' + test.replace('.ttl', '.out')
-        if not os.access(out_filename, os.F_OK):
-            Logs.pprint('RED', 'FAIL: %s output is missing' % test)
-        else:
-            out_lines = sorted(open(out_filename).readlines())
-            cmp_lines = sorted(open(cmp_filename).readlines())
-            if out_lines != cmp_lines:
-                Logs.pprint('RED', 'FAIL: %s is incorrect' % out_filename)
-            else:
-                Logs.pprint('GREEN', 'Pass: %s' % test)
-
-    autowaf.post_test(ctx, APPNAME)
+            'sordi_static -i ntriples > %s' % nul,
