=== debian/changelog ===
sord (0.14.0~dfsg0-2) unstable; urgency=medium

  * Add libpcre++-dev as b-dep to build sord_validate binary (Closes: #829508).
  * Fix VCS fields.
  * Bump Standards.
  * Fix some hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 04 Jul 2016 10:20:55 +0200

sord (0.14.0~dfsg0-1) unstable; urgency=medium

  * Imported Upstream version 0.14.0~dfsg0
  * Refresh patch.
  * Bump Standards.
  * Make watch file more flexible.
  * Patched waf to find generated docs.
  * Enable parallel build.
  * Update symbols file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 14 Oct 2015 16:18:53 +0200
