=== debian/control ===
--- 
+++ 
@@ -10,12 +10,13 @@
  doxygen,
  graphviz,
  libserd-dev (>= 0.18.0~dfsg0),
+ libpcre++-dev,
  pkg-config,
  python
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://drobilla.net/software/sord/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/sord.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/sord.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/sord.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/sord.git
 
 Package: libsord-0-0
 Section: utils
