=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
 dfsg_version = $(upstream_version)~dfsg0
@@ -9,7 +11,7 @@
 WAF = ./waf
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_configure:
 	$(WAF) configure \
