=== debian/rules ===
--- 
+++ 
@@ -32,10 +32,6 @@
 override_dh_auto_install:
 	$(WAF) install --destdir=$(CURDIR)/debian/tmp
 
-override_dh_strip:
-	dh_strip -plibsord-0-0 --dbg-package=sord-dbg
-	dh_strip --remaining-packages
-
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
