## sord 0.16.0.1

=== debian/changelog ===
sord (0.16.0.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: 8127863d198d832c86753127f316127b93526d42']

 -- shuttle <shuttle@deepin.com>  Tue, 10 Dec 2019 19:58:25 +0000
