=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  debhelper (>= 9),
  doxygen,
  graphviz,
- libserd-dev (>= 0.18.0~dfsg0),
+ libserd-dev (>= 0.24.0~dfsg0),
  libpcre++-dev,
  pkg-config,
  python
@@ -79,17 +79,3 @@
  Description Framework (RDF) data in memory.
  .
  This package provides the developer's reference for sord.
-
-Package: sord-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends:
- libsord-0-0 (= ${binary:Version}),
- ${misc:Depends}
-Description: library for storing RDF data in memory (debugging symbols)
- Sord is a lightweight C library for storing Resource
- Description Framework (RDF) data in memory.
- .
- This package provides the debugging symbols for sord.
