## sord 0.16.4

=== debian/changelog ===
sord (0.16.4-1) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #929089)
    + Annotate Build-Depends: python with :native.
    + Pass cross tools to waf.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/rules: Remove get-orig-source
  * debian/copyright: Fix waf paragraph
  * debian/control:
    - Bump libserd-dev B-D
    - Remove obsolete Pre-Depends
    - Bump debhelper compat to 12
    - Bump Standards-Version
    - Set RRR: no
    - Fix section of library package
  * debian/: Use python3 to run waf (Closes: #943225)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Dec 2019 21:24:44 +0100

sord (0.16.0~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.16.0~dfsg0
  * Patches refreshed.
  * Tighten B-D for libserd-dev.
  * Doxy patch dropped - not needed.
  * Update copyright file.
  * Update symbols file.
  * Drop dbg package in favour of dbgsym.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 22 Sep 2016 20:33:50 +0200
