=== debian/control ===
--- 
+++ 
@@ -1,28 +1,27 @@
 Source: sord
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 12),
  doxygen,
  graphviz,
- libserd-dev (>= 0.24.0~dfsg0),
+ libserd-dev (>= 0.30),
  libpcre++-dev,
  pkg-config,
- python
-Standards-Version: 3.9.8
+ python3:native,
+Standards-Version: 4.4.1
 Homepage: http://drobilla.net/software/sord/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/sord.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/sord.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/sord.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/sord
+Rules-Requires-Root: no
 
 Package: libsord-0-0
-Section: utils
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
@@ -40,7 +39,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libserd-dev (>= 0.18.0~dfsg0),
+ libserd-dev (>= 0.30),
  libsord-0-0 (= ${binary:Version}),
  ${misc:Depends}
 Suggests:
